{% extends 'base.html.twig' %}
{% block title %}Register{% endblock %}

{% block body %}

    <h1 class="text-center">Register</h1>
    {{ form_start(form) }}

<div form class="ui form">
<div class="form border rounded px-5 py-3 mb-5">
    <div class="form-row">
        <div class="form-group col-md-6">
            {{ form_row(form.firstname, {'attr': {'placeholder': 'Firstname..' }}) }}
        </div>
        <div class="form-group col-md-6">
            {{ form_row(form.lastname, {'attr': {'placeholder': 'Lastname..' }}) }}
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-6">
            {{ form_row(form.mail, {'attr': {'placeholder': 'Email address..' }}) }}
        </div>
        <div class="form-group col-md-6">
            {{ form_row(form.phone, {'attr': {'placeholder': 'Phone number..' }}) }}
        </div>
    </div>

    <div class="form-group">
    {{ form_row(form.username, {'attr': {'placeholder': 'Username..' }}) }}
    </div>

    <div class="form-row">
        <div class="form-group col-md-6">
            {{ form_row(form.password, {'attr': {'placeholder': 'Passsword..' }}) }}
        </div>
        <div class="form-group col-md-6">
            {{ form_row(form.plainPassword, {'label': 'Confirm Password' , 'attr': {'placeholder': 'Confirm Password..' }}) }}
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-8">
            {{ form_row(form.address, {'attr': {'placeholder': 'Home address..' }}) }}
        </div>
        <div class="form-group col-md-4">
            {{ form_row(form.postal, {'attr': {'placeholder': 'Postcode..' }}) }}
        </div>
    </div>


    <div class="form-row">
        <div class="form-group col-md-5">
            {{ form_row(form.city, {'attr': {'placeholder': 'City..' }}) }}
        </div>
        <div class="form-group col-md-5">
            {{ form_row(form.country)}}
        </div>
        <div class="form-group col-md-2">
            {{ form_row(form.currency)}}
        </div>
    </div>

        <button class="btn btn-primary"> {{ button_label|default('Register') }}</button>

</div>
</div>

    {{ form_end(form) }}

    <style>
        .form {
            width: 100vh;
            margin: 0 auto;
        }

        label {
            margin-top: 10px;
        }
    </style>
{% endblock %}